<template>
  <section id="score-container">
    <BaseContainer :style-type="'primary-dark'">
      <h1>Your Score: {{ score }}</h1>
      <div @click="startNewGame">
        <BaseButton :style-type="'secondary-dark'"
          >Start a new game!</BaseButton
        >
      </div>
      <ResultsOverview id="results-overview" />
    </BaseContainer>
  </section>
</template>

<script lang="ts">
import Vue from "vue";
import BaseButton from "@/components/base/BaseButton.vue";
import BaseContainer from "@/components/base/BaseContainer.vue";
import ResultsOverview from "@/components/ResultsOverview.vue";
export default Vue.extend({
  components: {
    BaseButton,
    BaseContainer,
    ResultsOverview
  },
  data() {
    return {
      score: this.$store.getters.getScore
    };
  },
  methods: {
    startNewGame() {
      this.$store.dispatch("reset");
      this.$router.push("/menu");
    }
  }
});
</script>

<style scoped>
#html {
}
#score-container {
  display: flex;
  align-items: center;
  justify-content: center;
}

#results-overview {
  margin-top: 10px;
}
</style>
